assignParallelFile.BigBang {galgo} | R Documentation

## Assigns a different saveFile value for parallelization

### Description

Assigns a different saveFile value for parallelization. The assignation is done looking for a existing filename with a consecutive number starting from 1. If a filename with a particular consecutive number is not found, it is assigned.

### Usage

    ## S3 method for class 'BigBang'
    assignParallelFile(bb,
    	save=TRUE,
    	prefix="parallel-",
    	use.random=TRUE,
    	compatibilize=TRUE,
    	...)

### Arguments

`save` | Specify to save the file to “lock” the name and avoid other parallel process to use it. Defaults to true.
`prefix` | Prefix used in the parallel files for identification. Defaults to “parallel-”.
`use.random` | Specify if an integer random value between 0 and 9999 is added to avoid duplicated filenames in parallel process started at the same time. Defaults to true.

### Value

Returns the file name assigned to the bigbang object for parallelization.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `BigBang`.

### Examples

    ## Not run:

    	#Initial process:
    	#load data and configure initial objects, run once
    	library(galgo)
    	bb <- configBB.varSel(..., saveFile="bb.parallel.Rdata", ...)
    	saveObject(bb)
    	#

    	#Parallel process:
    	#run as many process as you want
    	library(galgo)
    	loadObject("bb.parallel.Rdata")
    	assignParallelFile(bb)
    	blast(bb)
    	#

    	#Analysis Process:
    	library(galgo)
    	loadObject("bb.parallel.Rdata")
    	loadParallelFiles(bb)
    	#

    ## End(Not run)

[Package galgo version 1.4 Index]